Open Lighting Architecture: ola::rdm::QueuedMessageHandler Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ola::rdm::QueuedMessageHandler Class Referenceabstract

## Public Member Functions
virtual void | ProxiedDeviceCount (const ResponseStatus &status, uint16_t device_count, bool list_changed)=0
virtual void | ProxiedDevices (const ResponseStatus &status, const std::vector< UID > &uids)=0
virtual void | CommStatus (const ResponseStatus &status, uint16_t short_message, uint16_t length_mismatch, uint16_t checksum_fail)=0
virtual void | StatusMessages (const ResponseStatus &status, const std::vector< StatusMessage > &messages)=0
virtual void | StatusIdDescription (const ResponseStatus &status, const std::string &status_id)=0
virtual void | SubDeviceReporting (const ResponseStatus &status, uint8_t status_type)=0
virtual void | SupportedParameters (const ResponseStatus &status, const std::vector< uint16_t > &parameters)=0
virtual void | ParameterDescription (const ResponseStatus &status, const ParameterDescriptor &description)=0
virtual void | DeviceInfo (const ResponseStatus &status, const DeviceDescriptor &device_info)=0
virtual void | ProductDetailIdList (const ResponseStatus &status, const std::vector< uint16_t > &ids)=0
virtual void | DeviceModelDescription (const ResponseStatus &status, const std::string &description)=0
virtual void | ManufacturerLabel (const ResponseStatus &status, const std::string &label)=0
virtual void | DeviceLabel (const ResponseStatus &status, const std::string &label)=0
virtual void | FactoryDefaults (const ResponseStatus &status, bool using_defaults)=0
virtual void | LanguageCapabilities (const ResponseStatus &status, const std::vector< std::string > &langs)=0
virtual void | Language (const ResponseStatus &status, const std::string &language)=0
virtual void | SoftwareVersionLabel (const ResponseStatus &status, const std::string &label)=0
virtual void | BootSoftwareVersion (const ResponseStatus &status, uint32_t version)=0
virtual void | BootSoftwareVersionLabel (const ResponseStatus &status, const std::string &label)=0
virtual void | DMXPersonality (const ResponseStatus &status, uint8_t current_personality, uint8_t personality_count)=0
virtual void | DMXPersonalityDescription (const ResponseStatus &status, uint8_t personality, uint16_t slots_requires, const std::string &label)=0
virtual void | DMXAddress (const ResponseStatus &status, uint16_t start_address)=0
virtual void | SlotInfo (const ResponseStatus &status, const std::vector< SlotDescriptor > &slots)=0
virtual void | SlotDescription (const ResponseStatus &status, uint16_t slot_offset, const std::string &description)=0
virtual void | SlotDefaultValues (const ResponseStatus &status, const std::vector< SlotDefault > &defaults)=0
virtual void | SensorDefinition (const ResponseStatus &status, const SensorDescriptor &descriptor)=0
virtual void | SensorValue (const ResponseStatus &status, const SensorValueDescriptor &descriptor)=0
virtual void | DeviceHours (const ResponseStatus &status, uint32_t hours)=0
virtual void | LampHours (const ResponseStatus &status, uint32_t hours)=0
virtual void | LampStrikes (const ResponseStatus &status, uint32_t hours)=0
virtual void | LampState (const ResponseStatus &status, uint8_t state)=0
virtual void | LampMode (const ResponseStatus &status, uint8_t mode)=0
virtual void | DevicePowerCycles (const ResponseStatus &status, uint32_t hours)=0
virtual void | DisplayInvert (const ResponseStatus &status, uint8_t invert_mode)=0
virtual void | DisplayLevel (const ResponseStatus &status, uint8_t level)=0
virtual void | PanInvert (const ResponseStatus &status, uint8_t inverted)=0
virtual void | TiltInvert (const ResponseStatus &status, uint8_t inverted)=0
virtual void | PanTiltSwap (const ResponseStatus &status, uint8_t inverted)=0
virtual void | IdentifyDevice (const ResponseStatus &status, bool mode)=0
virtual void | Clock (const ResponseStatus &status, const ClockValue &clock)=0
virtual void | PowerState (const ResponseStatus &status, uint8_t power_state)=0
virtual void | ResetDevice (const ResponseStatus &status, uint8_t reset_device)=0
virtual void | SelfTestEnabled (const ResponseStatus &status, bool is_enabled)=0
virtual void | SelfTestDescription (const ResponseStatus &status, uint8_t self_test_number, const std::string &description)=0
virtual void | PresetPlaybackMode (const ResponseStatus &status, uint16_t preset_mode, uint8_t level)=0
virtual void | DefaultHandler (const ResponseStatus &status, uint16_t pid, const std::string &data)=0

The documentation for this class was generated from the following file:

- include/ola/rdm/RDMAPI.h